Bug 519779 (check, dvd, install) - Installer fails to detect install disc if disc check is done
Summary: Installer fails to detect install disc if disc check is done
Keywords:
Status: CLOSED NOTABUG
Alias: check, dvd, install
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 18:56 UTC by Marc Dam
Modified: 2009-09-09 06:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
VirtualBox ejects the media after media check, but claims that the media is still inserted. You have to manually unmount the media and then mount it again to make VirtualBox aware of it again.
Clone Of:
Environment:
Last Closed: 2009-09-09 06:35:39 UTC


Attachments (Terms of Use)

Description Marc Dam 2009-08-27 18:56:40 UTC
Description of problem:


The bug applies to Fedora 12 alpha

How reproducible: Every time


Steps to Reproduce:
1. Download the fedora install dvd.
2. Choose "install or upgrade an existing system".
3. Choose "OK" and then "Test" when you are asked to check the media.
4. Wait for the check to finish.
5. Now a succes screen comes up telling you that the disc is ok to install from. Just click "OK".
6. Choose "Continue" when asked if you want to test additional media.
7. Now wait until the installer tells you there is no Fedora disc in you drive. This is where it fails finding my disc.
8. Now reboot the machine.
9. Again choose "install or upgrade an existing system".
10. This time choose to skip the media check. Now the installer tells you that it has found your media and continues the install process.
  
Actual results: If media check is done the install fails to find the disc and asks you to insert the Fedora disc even though it is already inserted.


Expected results: The installer should be able to find the media and install succesfully even though the media check has taken place.


Additional info: This is only tested in VirtualBox OSE using the i386 install dvd and the first install cd. I don't know if this applies to any other architectures or if it applies to real systems (Systems outside VirtualBox).

Comment 1 Martin Sivák 2009-09-08 13:00:01 UTC
It ejects the media after the test, did you check if the media was "inserted" again before pressing continue?

Comment 2 Marc Dam 2009-09-08 15:44:09 UTC
(In reply to comment #1)
> It ejects the media after the test, did you check if the media was "inserted"
> again before pressing continue?  

After the test VirtualBox claims that the disc is still "inserted" but unmounting it and then mounting it again solves the problem. I am sorry if i have wasted your time.

Comment 3 Martin Sivák 2009-09-09 06:35:39 UTC
No problem and thanks for the report, we might include it into installer's documentation, so others know as well.

Comment 4 Martin Sivák 2009-09-09 06:35:39 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
VirtualBox ejects the media after media check, but claims that the media is still inserted. You have to manually unmount the media and then mount it again to make VirtualBox aware of it again.


Note You need to log in before you can comment on or make changes to this bug.